[package]
name = "ghost-traits"
version = "0.4.2"
description = "Shared traits including `GhostHasher`, `NetworkDataBasicHandler`, `BoundedBTreeMap`, `MerkleTree` and more."
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
num-traits = { workspace = true }
frost-core = { workspace = true }
rand_chacha = { workspace = true }
frame-support = { workspace = true }
sp-arithmetic = { workspace = true }
sp-runtime = { workspace = true }
sp-core = { workspace = true }
sp-std = { workspace = true }

[features]
default = ["std"]
std = [
    "frame-support/std",
    "num-traits/std",
    "sp-arithmetic/std",
    "rand_chacha/std",
    "frost-core/std",
    "sp-runtime/std",
    "sp-core/std",
    "sp-std/std",
]
